Summary: Options library for autogen
Name: libopts
Version: 27.4
Release: 1%{?dist}
License: LGPL or BSD
Group: Development/Libraries
Source: http://osdn.dl.sourceforge.net/autogen/%{name}-%{version}.tar.bz2
URL: http://autogen.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(preun): /sbin/install-info
Requires(post): /sbin/install-info

%description
libopts is part of the autogen build system

%package devel
Group: Development/Libraries
Summary: Development files for libopts
Requires: libopts = %{version}-%{release}

%description devel
Development files for libopts

%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
rm -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.la
rm -f ${RPM_BUILD_ROOT}%{_infodir}/libopts.txt*
rm -rf ${RPM_BUILD_ROOT}%{_infodir}/dir

%clean
rm -rf ${RPM_BUILD_ROOT}

%postun -p /sbin/ldconfig

%post -p /sbin/ldconfig

%preun devel
if [ $1 = 0 ]; then
  /sbin/install-info --delete \
   --info-dir=%{_infodir} %{_infodir}/libopts.info
fi

%files
%defattr(-,root,root)
%doc COPYING* NEWS ChangeLog
%{_libdir}/libopts.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libopts.so
%{_infodir}/libopts.info.gz
%{_mandir}/man?/*
%{_bindir}/libopts-config
%{_includedir}/autoopts

%changelog
* Mon Oct 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 27.4-1
- bump to new version

* Wed Apr 5 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 27.1-6
- changed __infodir to _infodir 

* Sun Mar 19 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 27.1-5
- Must learn to spell... must learn to spell...

* Sun Mar 19 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 27.1-4
- Small patch to fix a build problem on the buildsys

* Sun Mar 19 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 27.1-3
- Small fixes to spec file

* Fri Feb 24 2006 Ralf Corspius <rc040203@freenet.de> 27.1-2
- Rework spec

* Thu Feb 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 27.1-1
- Initial import, bug fixes to the spec and other such things
